be.ehealth.businessconnector.chapterIV.domain

## Class ChapterIVReferences

- java.lang.Object
- - be.ehealth.businessconnector.chapterIV.domain.ChapterIVReferences

- All Implemented Interfaces:
    Serializable

      public final class ChapterIVReferences
      extends Object
      implements Serializable

  Class containing all the references needed by Chapter IV.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChapterIVReferences(boolean init)`
    `ChapterIVReferences(String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getCommonNIPReference()`
    `String` | `getCommonReference()`
    `String` | `getKmehrIdSuffix()`
    `String` | `getRecordCommonInputId()`
    `int` | `hashCode()`
    `void` | `setCommonNIPReference(String commonNIPReference)`
    `void` | `setCommonReference(String commonReference)`
    `void` | `setKmehrIdSuffix(String kmehrIdSuffix)`
    `void` | `setRecordCommonInputId(String recordCommonInputId)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChapterIVReferences

          public ChapterIVReferences(boolean init)
                              throws TechnicalConnectorException

      Parameters:
        `init` - if you want to prefill the differents ids (commonReference, recordCommonInput and kmerIdSuffix) with generated values, init must be true
      Throws:
        `TechnicalConnectorException`

    - #### ChapterIVReferences

          public ChapterIVReferences(String id)

      Parameters:
        `id` - all the references expect commonNIPReference are created with this value.

  - ### Method Detail

    - #### getCommonReference

          public String getCommonReference()

      Returns:
        the commonReference

    - #### setCommonReference

          public void setCommonReference(String commonReference)

      Parameters:
        `commonReference` - the commonReference to set

    - #### getCommonNIPReference

          public String getCommonNIPReference()

      Returns:
        the commonNIPReference

    - #### setCommonNIPReference

          public void setCommonNIPReference(String commonNIPReference)

      Parameters:
        `commonNIPReference` - the commonNIPReference to set

    - #### getKmehrIdSuffix

          public String getKmehrIdSuffix()

      Returns:
        the kmehrIdSuffix

    - #### setKmehrIdSuffix

          public void setKmehrIdSuffix(String kmehrIdSuffix)

      Parameters:
        `kmehrIdSuffix` - the kmehrIdSuffix to set

    - #### getRecordCommonInputId

          public String getRecordCommonInputId()

      Returns:
        the recordCommonInputId

    - #### setRecordCommonInputId

          public void setRecordCommonInputId(String recordCommonInputId)

      Parameters:
        `recordCommonInputId` - the recordCommonInputId to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`
      See Also:
        `Object.equals(java.lang.Object)`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.